echo OFF
echo =================
echo = Backup Script =
echo =================
echo -
echo - Base Backup Destination Path: %1
if NOT EXIST %1 ( echo - FAILED: Invalid destination path. 
goto end )

md %1\Exchange
md %1\Exchange\Brick 
md %1\Exchange\logs

C:\Backups\Script\ExMergeIni.exe DataDirectoryName %1\Exchange\Brick -f C:\Backups\Script\ExMerge.ini
IF ERRORLEVEL 1 GOTO FAILEXIT

C:\Backups\Script\ExMergeIni.exe LogFileName %1\Exchange\logs\ExMerge.log -f C:\Backups\Script\ExMerge.ini
IF ERRORLEVEL 1 GOTO FAILEXIT

echo -
echo ExMerge Starting...

"C:\Program Files\Exchsrvr\bin\ExMerge.exe" -b -f C:\Backups\Script\ExMerge.ini

echo ExMerge Ready
echo -

C:\Backups\Script\ExMergeLog.exe -f %1\Exchange\logs\ExMerge.log
IF ERRORLEVEL 1 GOTO FAILEXIT

echo -
echo * * * * * BACKUP SUCCEEDED  * * * * *
echo -
goto end

:FAILEXIT
echo -
echo * * * * * BACKUP FAILED  * * * * *
echo -

:end
pause
